Package twisted :: Package im :: Module tocsupport :: Class TOCAccount

[show private | hide private]
[frames | no frames]

## Class TOCAccount

    AbstractAccount --+
                      |
                     TOCAccount

Method Summary
| `__init__(self, accountName, autoLogin, username, password, host, port)` (inherited from `AbstractAccount`)
| `__getstate__(self)` (inherited from `AbstractAccount`)
| `__setstate__(self, d)` (inherited from `AbstractAccount`)
| `isOnline(self)` (inherited from `AbstractAccount`)
Deferred `interfaces.IClient` | ``logOn`(self, chatui)` Log on to this account. (inherited from `AbstractAccount`)

Class Variable Summary
`string` | `gatewayType`

Class Variable Details

### gatewayType

  Type:
    `string`
  Value:

        'AIM (TOC)'

Generated by Epydoc 1.1 on Sat Feb 15 21:17:51 2003 | http://epydoc.sf.net